package com.usky.dxtop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.model.Order;
import com.usky.dxtop.service.vo.OrderRequest;

import java.util.List;


/**
 * <p>
 * 订单表 服务类
 * </p>
 *
 * @author yq
 * @since 2021-08-26
 */
public interface OrderService extends IService<Order> {


    /**
     * 添加订单(现金支付)
     * @param order
     * @return
     */
    boolean add(Order order);


    List<Order> list(OrderRequest orderRequest);

    /**
     * 扫码支付api
     * @param order
     * @return
     */
    String getTopScanPayApi(Order order);

    /**
     * 生成扫码支付二维码
     * @param order
     * @return
     */
    String getTopScanPayQr(Order order);

    /**
     * 订单详情api
     * @param orderNumber
     * @return
     */
    String getTopFindOrderInfoApi(String orderNumber);
}
